From: <a href="/blend/av.cgi?id=1965">Belinda</a><BR>
Date: 23 June 2011<P>

B.K. Thanks for sharing this video... Phoebe Snow - "Poetry Man"...love this song! What a great, talented jazz singer she was!
<HR>
From: <a href="/blend/av.cgi?id=1965">Belinda</a><BR>
Date: 23 June 2011<P>

Ryan, about <a href="/blend/wv.cgi?id=2011.06.13.21.43.26322">Lost</a>:<BR>
<BR>
Wow! I could almost taste the tiramisu...love how this poem is so descriptive...
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 23 June 2011<P>

B.K.<BR>
<BR>
AGREED. Giving to keep anyone, or anything for that matter, is NEVER acceptable. That, in my book, is manipulation; coercion.<BR>
<BR>
The recipients were step-children, friends, pastors, strangers .... All loves of one kind or another, I suppose (and every line has a back story).... Whether I could afford it or not, I did  it...out of pure love (even if it is only as I have now come to understand it, and me).<BR>
<BR>
*smile*
<HR>
From: <a href="/blend/av.cgi?id=1965">Belinda</a><BR>
Date: 23 June 2011<P>

B.K., about <a href="/blend/wv.cgi?id=2011.06.11.23.25.18768">Oh My Is That Ever Right!</a>:<BR>
<BR>
Love this poem! I can really feel the words, it hits close to home starting with the title..."Give me Strength"
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 23 June 2011<P>

Thanks Belinda; You know I struggled with was and is and kept changing it around haa then decided Phoebe Snow is and always will be, so left it at is...so all you English majors which one is right?Probably was right?? <BR>
<BR>
I was listening to Phoebe Snow coming home from work singing along and decided to look for the song and found her Poetry Man instead. Luckily I had a great opportunity to meet her at the Newport Jazz Festival in the 80's (that is when I became a fan) That is an extraordinary YouTube.<BR>
<BR>
JustL; bravo.. you are so right! <BR>
<BR>
Belinda; Thanks again, I love it when poems just pop out like they belong there and the very first words were that and do we ever need strength these tough days! <BR>
<BR>
bk<BR>
<BR>
<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 23 June 2011<P>

Farah, about <a href="/blend/wv.cgi?id=2011.06.23.04.17.31641">Rockilicious </a>:<BR>
<BR>
Nice one Farah and the title is great! Amazing what love can do!<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 23 June 2011<P>

A little June gloom in Eugene, Oregon, today....a purr-fect day to pop in a Phoebe Snow CD...Yep, still have several of her CDs;)
<HR>